### Property

# Adw AlertDialog:prefer-wide-layout

since: 1.6

#### Declaration

    property prefer-wide-layout: gboolean [ read, write ]

#### Description [src]

Whether to prefer horizontal button layout.

`AdwAlertDialog` can present buttons horizontally or vertically depending on available space, how many buttons there are and how wide they are.

By default it will prefer to stack buttons vertically at medium sizes.

Set to `TRUE` to prefer horizontal layout in these cases instead. This will make the dialog slightly wider as well.

Vertical layout may still be used if the dialog would get too wide otherwise.

Does nothing with just one button, or when the buttons are already horizontal.

Type:`gboolean`

Available since: 1.6

Default value | FALSE
Getter method | `adw_alert_dialog_get_prefer_wide_layout()`
Setter method | `adw_alert_dialog_set_prefer_wide_layout()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no